# Create product group

Use the **addProductGroup** method to create product groups for your account:

* Send **null** for product group **Code**. 2Checkout ignores any values you send for **Code** and generates identifiers itself.
* Use unique product group names.
* 2Checkout throws an exception if you send a blank product group.
* If you send only the name of the product group 2Checkout creates the new product group entity.

## Request parameters

| Parameter                                                                                                             | Type / Description                                                                                                                                                                                                                                                                                             |
| --------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sessionID**                                                                                                         | <p><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <strong>sessionID</strong> into all your requests. 2Checkout throws an exception if the values are incorrect. The <strong>sessionID</strong> expires in <strong>10 minutes</strong>.</p> |
| [**ProductGroup**](https://verifone.cloud/docs/2checkout/API-Integration/SOAP_API_6.0/API-Requests/003Product-group/) | <p><strong>Required (object)</strong><br>Use this object to create product groups. Send <strong>null</strong> for the <strong>Code</strong>. 2Checkout generates unique product group code identifiers.</p>                                                                                                    |

### Response sample

```php
bool(true)
```

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$ProductGroup = new stdClass();
$ProductGroup->Name = 'New Product Group from API';
$ProductGroup->Code = null;//Send null for the Code. 2Checkout generates unique product group code identifiers.
$ProductGroup->TemplateName = 'Default Template';//'001 - Two Column Billing'; //the name of the cart template you want to associate with the product group
$ProductGroup->Description = 'This is a generic description';
$ProductGroup->Enabled = true;

try {
    $NewProductGroup = $client->addProductGroup($sessionID, $ProductGroup);
}

catch (SoapFault $e) {
    echo "NewProductGroup: " . $e->getMessage();
    exit;
}

var_dump("NewProductGroup", $NewProductGroup);

?>
```

{% hint style="info" %}
Need help?

Do you have a question? If you didn’t find the answer you are looking for in our documentation, you can contact our [Support](https://verifone.cloud/support) teams for more information. If you have a technical issue or question, please contact us. We are happy to help.

[Get in touch](https://verifone.cloud/need-help)
{% endhint %}

{% hint style="info" %}
Not yet a Verifone customer?

We’ll help you choose the right payment solution for your business, wherever you want to sell, in-person or online. Our team of experts will happily discuss your needs.

[Contact sales](https://www.verifone.com/en/global/contact-sales) [Get Started](https://www.verifone.com/en/global/contact-sales)
{% endhint %}

![Verifone logo](https://verifone.cloud/themes/custom/verifone/frontend/src/images/logo_bottom.svg)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/product-group/create-product-group.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
